UbixOS V2 2.0

Macros
Options

## Macros
#define | MQTT_CONNECT_TIMOUT 100
#define | MQTT_CYCLIC_TIMER_INTERVAL 5
#define | MQTT_OUTPUT_RINGBUF_SIZE 256
#define | MQTT_REQ_MAX_IN_FLIGHT 4
#define | MQTT_REQ_TIMEOUT 30
#define | MQTT_VAR_HEADER_BUFFER_LEN 128

## Detailed Description

## Macro Definition Documentation

## ◆ MQTT_CONNECT_TIMOUT

#define MQTT_CONNECT_TIMOUT 100

Seconds for MQTT connect response timeout after sending connect request

Definition at line 92 of file mqtt_opts.h.

## ◆ MQTT_CYCLIC_TIMER_INTERVAL

#define MQTT_CYCLIC_TIMER_INTERVAL 5

Seconds between each cyclic timer call.

Definition at line 78 of file mqtt_opts.h.

## ◆ MQTT_OUTPUT_RINGBUF_SIZE

#define MQTT_OUTPUT_RINGBUF_SIZE 256

Output ring-buffer size, must be able to fit largest outgoing publish message topic+payloads

Definition at line 56 of file mqtt_opts.h.

## ◆ MQTT_REQ_MAX_IN_FLIGHT

#define MQTT_REQ_MAX_IN_FLIGHT 4

Maximum number of pending subscribe, unsubscribe and publish requests to server .

Definition at line 71 of file mqtt_opts.h.

## ◆ MQTT_REQ_TIMEOUT

#define MQTT_REQ_TIMEOUT 30

Publish, subscribe and unsubscribe request timeout in seconds.

Definition at line 85 of file mqtt_opts.h.

## ◆ MQTT_VAR_HEADER_BUFFER_LEN

#define MQTT_VAR_HEADER_BUFFER_LEN 128

Number of bytes in receive buffer, must be at least the size of the longest incoming topic + 8 If one wants to avoid fragmented incoming publish, set length to max incoming topic length + max payload length + 8

Definition at line 64 of file mqtt_opts.h.